%global hash 72f39d4
%global date 20180715

Name:           sgabios
Epoch:          1
Version:        0.%{date}git
Release:        %mkrel 3
Summary:        Serial graphics BIOS option rom

Group:          Emulators
License:        ASL 2.0
URL:            https://github.com/qemu/sgabios
# There are no upstream releases.  This archive is prepared as follows:
#
# git clone https://github.com/qemu/sgabios
# cd sgabios
# hash=`git log -1 --format='%h'`
# date=`git log -1 --format='%cd' --date=short | tr -d -`
# git archive --prefix sgabios-${date}-git${hash}/ ${hash} | xz -7e > ../openbios-${date}-git${hash}.tar.xz
Source0:        sgabios-%{date}-git%{hash}.tar.xz

BuildRequires:  binutils-x86_64-linux-gnu 
BuildRequires:  gcc-x86_64-linux-gnu
Buildarch: noarch

Requires: %{name}-bin = %{epoch}:%{version}-%{release}

# Sgabios is noarch, but required on architectures which cannot build it.
# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%description
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.

%package bin
Summary: Sgabios for x86
Buildarch: noarch

%description bin
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.

%prep
%setup -q -n sgabios-%{date}-git%{hash}
%autopatch


%build
unset MAKEFLAGS
make \
        HOSTCC=gcc \
        CC=x86_64-linux-gnu-gcc \
        AS=x86_64-linux-gnu-as \
        LD=x86_64-linux-gnu-ld \
        OBJCOPY=x86_64-linux-gnu-objcopy \
        OBJDUMP=x86_64-linux-gnu-objdump


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sgabios
install -m 0644 sgabios.bin $RPM_BUILD_ROOT%{_datadir}/sgabios


%files
%doc COPYING design.txt


%files bin
%dir %{_datadir}/sgabios/
%{_datadir}/sgabios/sgabios.bin




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:0.20180715git-3.mga10
+ Revision: 2209984
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1:0.20180715git-2.mga9
+ Revision: 1821411
- Mageia 9 Mass Rebuild

* Tue Sep 08 2020 tv <tv> 1:0.20180715git-1.mga8
+ Revision: 1623499
- update to a much newer snapshot
- fix URL

* Wed Feb 12 2020 umeabot <umeabot> 1:0.20110622svn-3.mga8
+ Revision: 1500047
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:0.20110622svn-2.mga7
+ Revision: 1275418
- Mageia 7 Mass Rebuild

* Mon Apr 18 2016 tv <tv> 1:0.20110622svn-1.mga6
+ Revision: 1003326
- imported package sgabios


* Mon Apr 18 2016 Thierry Vignaud <tv@mageia.org> 0.20110622svn-1.mga6
- import from FC

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.20110622svn-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20110622svn-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20110622svn-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20110622svn-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.20110622svn-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec  6 2012 Peter Robinson <pbrobinson@fedoraproject.org> 1:0.20110622svn-3
- Root sgabios package is noarch too because it only contains docs

* Thu Oct 25 2012 Paolo Bonzini <pbonzini@redhat.com> - 1:0.20110622svn-2
- Cross compile (fixes bug #869876).

* Wed Oct 17 2012 Cole Robinson <crobinso@redhat.com> - 1:0.20110622svn-2
- Fix deps with epoch bump

* Tue Oct 15 2012 Paolo Bonzini <pbonzini@redhat.com> - 1:0.20110622svn-1
- Move date from release to version (requires epoch bump).

* Sun Aug 12 2012 Richard W.M. Jones <rjones@redhat.com> - 0-1.1.20110622svn
- Fix date in release string.
  NB: To make this version > than the previous, I had to use 1.1.20110622
  instead of 0.1.20110622, since the old second field was 20110623.
- Unset MAKEFLAGS, since parallel make breaks the build.
- Bring the spec file up to modern standards.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.20110623SVN
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.20110622SVN
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Justin M. Forbes <jforbes@redhat.com> 0.0-0.20110621SVN
- Updates per review.

* Tue Jun 21 2011 Justin M. Forbes <jforbes@redhat.com> 0.1-0.20110621SVN
- Created initial package
